get Matches 1Copy Pageget https://opta-football.cortextech.io/v1/matchesRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamsproviderstringThe provider that the data was received frompageintegerBased on the number of items per page [size], it may be required to page through lots of data. The page index is 0-indexed so 0 is the first page of data.sizeintegerThe number of matches to return per page.sortstringA single sort field, can be any field returned within the match object. prefixing the field with a "-" will sort descending, otherwise data is sorted ascendingstatusstringReturn matches that only match the required statuses, can be passed as a comma-delimited list or as multiple parameters (&status=X&status=Y). Can be live, result, fixture and postponed. Default will return live, result and fixtureteamIdstringReturns a list of matches where the home team or away team ID matches any in the list provided. Can be passed through as a comma-delimited list or as multiple paramters (&teamId=X&teamId=Y)teamNamestringReturns a list of matches where the home team or away team name matches the values provided. Can be a comma-delimited list or passed through as multiple parameters (&teamName=X&teamName=Y). Matches on whole team name only.teamFilterstringUsed in conjunction with the teamId and/or teamName field. Will return all matches for a given list of teams, by default will return home and away matches, but can be configured to return homeonly and awayonly.compIdstringReturns matches for a given list of ceompetition IDs. Can be sent as a comma-delimited list or as multiple parameters (&compId=X&compId=Y)compNamestringReturns matches for a given list of competition names. Can be provided as a comma-delimited list or multiple parameters (&compName=X&compName=Y). Name is matched on exact string only.venueIdintegerReturns matches that are being played at a list of venues, by ID. Can be provided as a comma-delimited list or multiple parameters (&venueId=X&venueId=Y)venueNamestringReturns matches that are being played at a list of venues, by name. Can be provided as a comma-delimited list or multiple parameters (&venueName=X&venueName=Y). Matches on full name only.seasonintegerReturns matches for a given list of seasons, can be provided as a comma-delimited list or multiple parameters (&season=2025&season=2024)fromstringReturns matches that started after this date. Must follow ISO 8601 format.tostringReturns matches that started before this date. Must follow ISO 8601 format.summarybooleanShould the matches contain summary information or not. If set to false, all matches will include matches events, VAR events and officials, which can lead to large responses.truetruefalseimagesbooleanInclude images for competition and team badges. Used in combination with clientId to indicate whether to use the global image library use a client's imagesfalsetruefalseskyIdintegerReturns any match that matches on the skyId. As this is a single value it will result in only 1 match being returned irrespective of values provided above.allSeasonsbooleanOverride the season parameter below and queries across all available seasons.falsetruefalsefoptastringFor a given list of match IDs this parameter will override their state and simulate as if the match schedule is meant to play today, when used in combination with liveMinute, it will put some matches in a state as if they are live at the time of the request. Can be provideded as a comma-delimited list of matchIDs, or as parameters (&fopta=1&fopta=2)liveMinutebooleanUsed in conjunction with fopta to return a simulated live matchfalsetruefalseformbooleanReturn match history for each team as part of the payload. Will return simply whether the result fo the last X matches (controlled by formSize) was a win/lose or drawfalsetruefalseformSizeintegerUsed in conjunction with form to determine how many previous matches to return.clientIdstringUsed when returning images and for usage tracking. If no client ID is passed, will draw from the global stock images, when a client ID is passed, it will attempt to use a client's version of those imagesHeadersX-API-KEYstring(Required)X-APP-IDstring(Required)X-REALMstring(Required)AcceptstringResponses 200OK 400Bad Request 401UnauthorizedUpdated 3 months ago